#include "Common.CH"
#include "Xbp.CH"
#include "AppEvent.CH"
#include "GRA.CH"

#define aPres   { { XBP_PP_FGCLR, GRA_CLR_BLACK },;
                  { XBP_PP_BGCLR, GraMakeRGBColor({153,254,255})  } }

#define aPP     { { XBP_PP_FGCLR, GRA_CLR_BLACK },;
                  { XBP_PP_BGCLR, GRA_CLR_GREEN } }

PROCEDURE AppSys
RETURN

PROCEDURE Main()
LOCAL oForm
Local oDraw
LOCAL oIcon1
LOCAL oIcon2
Local oSkin
LOCAL nEvent, mp1, mp2, oXbp

   oForm = XbpDialog():New( AppDesktop() )
   oForm:TaskList = .T.
   oForm:Title    = "Test Application"
   oForm:Create( ,,, {100,100},aPres, .F. )
   oForm:DrawingArea:setcolorBG(aPres[2,2])

   oIcon1 := XbpIcon():New():create()
   oIcon1:Loadfile("d:\ALASKA\OWButton\Kyl0.ico",54,54)

   oIcon2 := XbpIcon():New():create()
   oIcon2:Loadfile("d:\ALASKA\OWButton\Kyl0r.ico",54,54)

   oDraw := oForm:DrawingArea
   
   // modify Ownerdraw Class
   oXbp := MyImageButton():New( oDraw )
   oXbp:Image           := oIcon1
   oXbp:SelectedImage   := oIcon2
   oXbp:DrawMode     := XBP_DRAW_OWNER
   oXbp:Create( ,,,{50,50},aPP )

   CenterControl(oXbp )

   CenterControl( oForm )

   oForm:Show()
   SetAppFocus( oForm )

   nEvent = xbeP_None
   DO WHILE nEvent != xbeP_Close
      nEvent = AppEvent( @mp1, @mp2, @oXbp )
      oXbp:HandleEvent( nEvent, mp1, mp2 )
   ENDDO

   oForm:Destroy()

RETURN

*
*
*